# $Revision: 1.25 $, $Date: 2002/04/11 12:35:39 $
Summary:	Clone of the POSIX conform editor 'vi'
Summary(de):	Klon des POSIX konformen Editors 'vi'
Summary(pl):	Klon edytora POSIX-owego 'vi' i 'ex'
Name:		nvi
Version:	1.79
Release:	6
License:	BSD
Group:		Applications/System
Source0:	ftp://www.sleepycat.com/pub/%{name}-%{version}.tar.gz
Patch0:		%{name}.patch.gz
URL:		http://www.bostic.com/vi/
BuildRequires:	ncurses-devel >= 5.0
Provides:	vi
Obsoletes:	vim-static
Obsoletes:	elvis-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A freely redistributable replacement for the Berkeley ex and vi text
editors.

%description -l de
Frei verbreitabrer Ersatz fr die Brekeley Text-Editoren vi und ex.

%description -l pl
Programy zastepcze dla Berkeley-owskich edytorw tekstw ex i vi.

%prep
%setup -q
%patch0 -p1

%build
cd build
CFLAGS="%{rpmcflags} -I/usr/include/db1 -I/usr/include/ncurses"
LDFLAGS="-lncurses -ldb1 %{rpmldflags}"
%configure2_13 \
	--disable-curses \
	--disable-db \
	--disable-perl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_defaultdocdir}/%{name}-%{version},/bin,/sbin}

install docs/USD.doc/vi.man/vi.1 $RPM_BUILD_ROOT%{_mandir}/man1/vi.1
install build/nvi $RPM_BUILD_ROOT/bin/vi

ln -sf vi $RPM_BUILD_ROOT/bin/ex
ln -sf vi $RPM_BUILD_ROOT/bin/view

echo ".so vi.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ex.1
echo ".so vi.1" > $RPM_BUILD_ROOT%{_mandir}/man1/view.1

install build/recover $RPM_BUILD_ROOT/sbin/recover

gzip FAQ LICENSE LAYOUT README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *gz
%attr(755,root,root) /bin/*
%attr(755,root,root) /sbin/recover
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nvi.spec,v $
Revision 1.25  2002/04/11 12:35:39  qboosh
- Obsoletes: vim-static, elvis-static; release 6

Revision 1.24  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/18 08:38:08  marcus
- rel.5.

Revision 1.22  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/04 08:41:50  ankry
- gzipped the huge patch. Is there everything in the patch really necessary?
  It is greater then the original source!!!

Revision 1.20  2001/11/04 02:47:55  blues
- URL updated (based on web page)

Revision 1.19  2001/08/09 00:51:51  agaran
s/configure/configure2_13/
without that it dont build, aclocal/autoconf regeneration dont help

Revision 1.18  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/07/13 23:17:55  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.16  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.15  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.13  1999/11/17 00:42:50  kloczek
- release 3,
- build against ncurses 5.0.

Revision 1.12  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.79-2]
- disable using curses headre files durin compilation,
- added URL,
- more rpm macros,
- added full Source: Url.

* Thu Apr 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.79-1]
- removed man group from man pages,
- link against libncurses instead libtermcap,
- added -s to LDFLAGS,
- ex(1) and view(1) man pages make as *roff include,
- added some %doc.

* Wed Apr  7 1999 Marcin Dalecki <dalecki@cs.net.pl>
- Initial release for PLD.
